DRM_WAIT_ONE_VBLANK(9)

NAME
drm_wait_one_vblank - wait for one vblank

SYNOPSIS

void drm_wait_one_vblank(struct drm_device * dev, int crtc);

ARGUMENTS

dev
    DRM device

crtc
    crtc index

DESCRIPTION

This waits for one vblank to pass on crtc, using the irq driver interfaces. It is a failure to call this when the vblank irq for crtc is disabled, e.g. due to lack of driver support or because the crtc is off.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT